### Function

# Gimp get_num_processors

#### Declaration [src]

    gint
    gimp_get_num_processors (
      void
    )

#### Description [src]

Returns the number of threads set explicitly by the user in the preferences. This information can be used by plug-ins wishing to follow user settings for multi-threaded implementations.

Available since: | 3.0

#### Return value

Returns: | `gint`
| The preferred number of threads to use.